java.lang

## Class ArrayIndexOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - java.lang.ArrayIndexOutOfBoundsException

All Implemented Interfaces:
  Serializable

    public class ArrayIndexOutOfBoundsException
    extends IndexOutOfBoundsException

Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ArrayIndexOutOfBoundsException()` Constructs an `ArrayIndexOutOfBoundsException` with no detail message.
`ArrayIndexOutOfBoundsException(int index)` Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.
`ArrayIndexOutOfBoundsException(String s)` Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException()

Constructs an `ArrayIndexOutOfBoundsException` with no detail message.

#### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException(int index)

Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.

Parameters:
  `index` - the illegal index.

#### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException(String s)

Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.